> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Docs Upload Status

> OAI docs upload status

## 同步上传文档

**URL**: `/v1/docs/{doc_id}/upload/status`\
**方法**: `GET`\
**描述**: 获取文档上传状态。

### 请求参数

| 参数名     | 类型  | 描述     |
| ------- | --- | ------ |
| doc\_id | str | 文档 ID。 |

### 响应参数

| 参数名    | 类型  | 描述      |
| ------ | --- | ------- |
| status | str | 文档上传状态。 |

### 文档上传状态

| 状态         | 描述    |
| ---------- | ----- |
| pending    | 等待处理。 |
| processing | 处理中。  |
| completed  | 处理完成。 |
| failed     | 处理失败。 |

### 请求示例

**cURL**

```bash theme={null}
curl -X GET https://api.reportify.cn/v1/docs/637270560798310/upload/status \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" 
```

**Python 示例**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/docs/637270560798310/upload/status"
headers = { 
    "Authorization": "Bearer 447460****09c9",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())
```

### 响应示例

```json theme={null}
{
    "id": "637270560798310",
    "status": "processing"
}
```


## OpenAPI

````yaml GET /v1/docs/{doc_id}/upload/status
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/docs/{doc_id}/upload/status:
    get:
      tags:
        - openapi-files
      summary: Get Upload Docs Status
      description: OAI docs upload status
      operationId: get_upload_docs_status_reportify_api_v1_docs__doc_id__upload_status_get
      parameters:
        - required: true
          schema:
            type: string
            title: Doc Id
          name: doc_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAIDocsUploadStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OAIDocsUploadStatusResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/DocsUploadStatusEnum'
      type: object
      required:
        - id
        - status
      title: OAIDocsUploadStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocsUploadStatusEnum:
      type: string
      enum:
        - pending
        - processing
        - completed
      title: DocsUploadStatusEnum
      description: An enumeration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````